apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: <<appenv>>fe-static-gateway
  namespace: <<appenv>>frontend-static
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
  - hosts:
    - <<SITES>>
    port:
      number: 443
      name: https-<<appenv>>fe-static
      protocol: HTTPS
    tls:
      mode: SIMPLE
      credentialName: "<<appenv>>letsencrypt-certs"
  - hosts:
    - <<SITES>>
    port:
      name: http-<<appenv>>fe-static
      number: 80
      protocol: HTTP
    tls:
      httpsRedirect: true